.\"	$NetBSD: altqd.8,v 1.10 2006/11/26 11:38:07 peter Exp $
.\"	$KAME: altqd.8,v 1.9 2002/01/23 06:56:27 itojun Exp $
.\"
.\" Copyright (C) 2000
.\" Sony Computer Science Laboratories Inc.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY SONY CSL AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL SONY CSL OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd November 26, 2006
.Dt ALTQD 8
.Os
.Sh NAME
.Nm altqd
.Nd ALTQ daemon
.Sh SYNOPSIS
.Nm altqd
.Op Fl dv
.Op Fl f Ar conf_file
.Sh DESCRIPTION
.Nm
is a daemon program that reads a configuration file and then sets up
the ALTQ state of network interfaces.
After configuring the ALTQ state,
.Nm
will detach and become a daemon.
.Pp
The signals
.Dv SIGINT
or
.Dv SIGTERM
will shutdown
.Nm ,
and the signal
.Dv SIGHUP
will restart
.Nm .
.Pp
The following options are available:
.Bl -tag -width Fl
.It Fl d
Debug mode.
.Nm
does not detach and goes into the command mode.
.It Fl f Ar conf_file
Specify a configuration file to read instead of the default.
The default file is
.Pa /etc/altq.conf .
.It Fl v
Print debugging information.
This option implies
.Fl d .
.El
.Sh COMMANDS
When
.Fl d
option is provided,
.Nm
goes into the command mode after reading the configuration file and
setting up the ALTQ state.
Each command is a single line, starting with the command verb.
.Pp
The basic commands are as follows:
.Bl -tag -width help
.It Cm help | \&?
Display a complete list of commands and their syntax.
.It Cm quit
Exit.
.It Cm altq Ar reload
Reload the configuration file and reinitialize ALTQ.
.It Cm altq Ar interface Op enable|disable
Enables or disables ALTQ on the interface named
.Em interface .
When
.Nm
enters the command mode, ALTQ is enabled on all the
interfaces listed in the configuration file.
.El
.Sh FILES
.Bl -tag -width /var/run/altqd.pid -compact
.It Pa /etc/altq.conf
configuration file
.It Pa /var/run/altqd.pid
pid of the running
.Nm
.It Pa /var/run/altq_quip
Unix domain socket for communicating with
.Xr altqstat 1
.El
.Sh SEE ALSO
.Xr altqstat 1 ,
.Xr altq.conf 5 ,
.Xr altq 9
